Bug 19016 - cyrus initscript kills postfix master daemon on shutdown
Summary: cyrus initscript kills postfix master daemon on shutdown
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-13 04:19 UTC by Damien Miller
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 16:34:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damien Miller 2000-10-13 04:19:37 UTC
The /etc/rc.d/init.d/cyrus script will mistakenly kill postfix's master
daemon instead of cyrus'

Example:

[root@neon djm]# ps ax | grep master
[root@neon djm]# service postfix start
Starting postfix: postfix-script: starting the Postfix mail system
[root@neon djm]# service cyrus start
Starting Cyrus IMAP:                                       [  OK  ]
[root@neon djm]# ps ax | grep master
 5488 ?        S      0:00 /usr/libexec/postfix/master
 5498 pts/2    S      0:00 /usr/cyrus/bin/master
 5508 pts/2    S      0:00 grep master
[root@neon djm]# service cyrus stop 
Stopping Cyrus IMAP:                                       [  OK  ]
[root@neon djm]# ps ax | grep master
[root@neon djm]#

Comment 1 Nalin Dahyabhai 2001-02-15 16:34:52 UTC
The pidofproc and killproc shell functions need to be modified to fix this. 
Reassigning to initscripts.

Comment 2 Nalin Dahyabhai 2001-02-15 16:46:34 UTC
Will be fixed in initscripts-5.64.2 and later.


Note You need to log in before you can comment on or make changes to this bug.